Package org.eigenbase.xom

# Class XMLAttrVector

java.lang.Object
org.eigenbase.xom.XMLAttrVector

public class XMLAttrVector extends Object
XMLAttrVector is an class which assists in writing XML attributes to a stream.

## Constructor Summary

Constructors
Constructor
Description
`XMLAttrVector()`
Construct an empty XMLAttrVector.

## Method Summary

Modifier and Type
Method
Description
`XMLAttrVector`
`add(String attrName, boolean attrVal)`
Add a new attribute/value pair based on a boolean value.
`XMLAttrVector`
`add(String attrName, double attrVal)`
Add a new attribute/value pair based on a double value.
`XMLAttrVector`
`add(String attrName, int attrVal)`
Add a new attribute/value pair based on an int value.
`XMLAttrVector`
`add(String attrName, Object attrVal)`
Add a new attribute/value pair based on a String value.
`void`
`display(PrintWriter out, int indent)`
Displays the entire attribute/value pair list, given a PrintWriter to which to display and an indentation level.
`int`
`size()`
Returns the number of attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLAttrVector

public XMLAttrVector()
Construct an empty XMLAttrVector. Attribute/value pairs may be added with the add() functions below.

## Method Details

### size

public int size()
Returns the number of attributes.

### add

public XMLAttrVector add(String attrName, Object attrVal)
Add a new attribute/value pair based on a String value. Note that attrVal may be null, in which case no attribute/value pair is added.

Parameters:
  `attrName` - the name of the attribute.
  `attrVal` - the String value of the attribute.
Returns:
  this (to allow chaining)

### add

public XMLAttrVector add(String attrName, int attrVal)
Add a new attribute/value pair based on an int value.

Parameters:
  `attrName` - the name of the attribute.
  `attrVal` - the int value of the attribute.
Returns:
  this (to allow chaining)

### add

public XMLAttrVector add(String attrName, double attrVal)
Add a new attribute/value pair based on a double value.

Parameters:
  `attrName` - the name of the attribute.
  `attrVal` - the double value of the attribute.
Returns:
  this (to allow chaining)

### add

public XMLAttrVector add(String attrName, boolean attrVal)
Add a new attribute/value pair based on a boolean value. True is represented as "true", and false as "false".

Parameters:
  `attrName` - the name of the attribute.
  `attrVal` - the boolean value of the attribute.
Returns:
  this (to allow chaining)

### display

public void display(PrintWriter out, int indent)
Displays the entire attribute/value pair list, given a PrintWriter to which to display and an indentation level. This function is typically called from XMLOutput.

Parameters:
  `out` - PrintWriter to which to write output.
  `indent` - indentation level.